#include "windows.h"

#include <stdio.h>

int main(int argc, char *argv[])
{
    HANDLE hSerial;
    char port[20];
    DCB state;

    if (argc != 2) {
        fprintf(stderr, "usage: resetcom <port>\n");
        exit(1);
    }

    sprintf(port, "\\\\.\\COM%s", argv[1]);

    hSerial = CreateFile(
        port,
        GENERIC_READ | GENERIC_WRITE,
        0,
        NULL,
        OPEN_EXISTING,
        0,
        NULL);

    if (hSerial == INVALID_HANDLE_VALUE) {
        fprintf(stderr, "can't open %s\n", port);
        exit(1);
    }

    EscapeCommFunction(hSerial, SETDTR);
    Sleep(100);
    EscapeCommFunction(hSerial, CLRDTR);
    Sleep(100);

    CloseHandle(hSerial);

    return 0;
}
