include "chameleon.bas"
include "ntsc_drv.bas"
include "gfx_drv.bas"

option heap = "0:0"

dim tile(8) = {
  0x5555
  0x4001
  0x4001
  0x4001
  0x4001
  0x4001
  0x4001
  0x5555
}

dim palette(4) as byte = {
  color_black
  color_white
  color_red
  color_green
}

def myTile = 144
def myPalette = 2

gfx_set_top_overscan_color(color_green)
gfx_set_bottom_overscan_color(color_red)

gfx_load_tile(myTile, tile)
gfx_load_palette(myPalette, palette)

ntsc_cls
gfx_write_tile(0, (myPalette << 8) | myTile, 10, 10)

